Differences between revisions 2 and 3
Revision 2 as of 2011-04-01 11:11:32
Size: 2241
Editor: GeoffSimmons
Comment: Add DefaultTemplate header, formatting adjustments.
Revision 3 as of 2011-04-01 18:27:28
Size: 2408
Editor: moomoc
Comment: Added information about apt-pinning and correct a few mistakes
Deletions are marked like this. Additions are marked like this.
Line 43: Line 43:
If you don't want to compile Orca from source but still try a newer version (at your own risk), you can use the version from experimental. For this, you have to configure apt-pinning. Add a experimental-source of Debian and run If you don't want to compile Orca from source but still try a newer version (at your own risk), you can use the version from experimental. For this, you have to configure [[AptPreferences|apt-pinning]]. Add a experimental-source of Debian, update your package lists and run
Line 49: Line 49:

NOTE: You might have to reconfigure Orca, since a new mechanism for the configuration handling was introduced in Orca.

Translation(s): none


Orca

This article mentions some details about Orca (GNOME-ORCA) in Debian. Orca is the graphical screen reader for the GNOME environment.

Setup

Debian installer

If you have enabled accessibility during the Debian installation and also installed a desktop system, accessibility is enabled by default.

Installation and configuration on a usual Debian system

If you installed Debian without accessibility features, you should do the following steps:

  1. sudo aptitude install gnome-orca (you can also install gnome-mag, if you need also magnification)

  2. Type as the user  orca -t 

  3. Answer all questions. After this, Orca will automatically start at user session start.

Using Orca (applications)

A list of supported applications can be found at http://live.gnome.org/Orca/AccessibleApps.

Browsing

Orca currently mainly supports Firefox (iceweasel) to access web pages. You can use text browsers in the terminal as well, but they have obviously less comfort.

The only difference on Debian is that you need to use Iceweasel instead of Firefox. The standard GNOME web browser Ephany is not accessible.

Other speech synthesizers

Please see the main accessibility page, where GNOME-speech and speech-dispatcher are discussed.

Newer, experimental versions of Orca

If you don't want to compile Orca from source but still try a newer version (at your own risk), you can use the version from experimental. For this, you have to configure apt-pinning. Add a experimental-source of Debian, update your package lists and run

sudo aptitude -t experimental install gnome-orca

WARNING: Experimental really means experimental.

NOTE: You might have to reconfigure Orca, since a new mechanism for the configuration handling was introduced in Orca.

NOTE: It is possible, that after this the gdm greeter is not any longer able to start Orca at the login screen.

See Also